%global plugin_name pipeline-stage-view

Summary:    This plugin provides a graphical swimlane view of pipeline stage execution
Name:       jenkins-plugin-%{plugin_name}
Version:    1.4
Release:    1%{?dist}
License:    MIT
URL:        https://wiki.jenkins-ci.org/display/JENKINS/Pipeline+Stage+View+Plugin
# AltURL:   https://github.com/jenkinsci/pipeline-stage-view-plugin
Source0:    https://updates.jenkins-ci.org/download/plugins/%{plugin_name}/%{version}/%{plugin_name}.hpi
Requires:   jenkins >= 1.609.3

%description
This plugin provides a graphical swimlane view of pipeline stage execution 
as well as a build history of the stages.

When you have complex builds Pipelines, it is useful to 
be able to see the progress of each stage.  
The Pipeline Stage View plugin includes an extended 
visualization of Pipeline build history on the index page 
of a flow project, under Stage View.
You can also click on Full Stage View to get a full-screen view.

%prep


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/jenkins/
cp %{SOURCE0} $RPM_BUILD_ROOT/%{_libdir}/jenkins/


%files
%{_libdir}/jenkins/%{plugin_name}.hpi

%changelog
* Tue Jun 14 2016 Troy Dawson <tdawson@redhat.com> - 1.4-1
- Initial package
